{
  Demo for HW detector
}
CON
  _XINFREQ = 5_000_000
'  _XINFREQ = 6_250_000
  _CLKMODE = XTAL1 + PLL16X

OBJ
  ser : "FullDuplexSerial"
  hwd : "hwdetect"

CON
'  MYBOARD = hwd#HW_BOARD_DEMO
  MYBOARD = hwd#HW_BOARD_PROTO
'  MYBOARD = hwd#HW_BOARD_RAMBLADE

PUB main | conio_id
  waitcnt(cnt+clkfreq*5)
  ser.start(31,30,0,57600)
  waitcnt(cnt+clkfreq)
  repeat
    '--------------------------------------------------------------
    ser.str(string(27,"[2J",27,"[H"))
    ser.str(string("HW autodetect v0.1 - (c) 2011 Alessandro De Luca",13,10,13,10))
    '--------------------------------------------------------------
    ser.str(string("Checking for console mode..."))
    conio_id := hwd.ConsoleDetect(MYBOARD)
    case conio_id
      hwd#HW_CONIO_VGAKBD:
        ser.str(string("using VGA screen and keyboard!",13,10))
      hwd#HW_CONIO_TVCKBD:
        ser.str(string("using TV screen and keyboard!",13,10))
      hwd#HW_CONIO_1PINVK:
        ser.str(string("using 1pin TV & KB!",13,10))
      hwd#HW_CONIO_SERIAL:
        ser.str(string("using serial link!",13,10))
      other:
        ser.str(string("ERROR: unknown console mode!",13,10))
    waitcnt(cnt+clkfreq)
    '--------------------------------------------------------------
    waitcnt(cnt+clkfreq*5)
    ser.str(string(13,10,"restarting...",13,10))
    waitcnt(cnt+clkfreq*3)
    '--------------------------------------------------------------

CON
{{
┌──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────┐
│                                    TERMS OF USE: Parallax Object Exchange License                                            │                                                            
├──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────┤
│Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation    │ 
│files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,    │
│modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software│
│is furnished to do so, subject to the following conditions:                                                                   │
│                                                                                                                              │
│The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.│
│                                                                                                                              │
│THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE          │
│WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR         │
│COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,   │
│ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.                         │
└──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────┘
}}

